The following are minimum requirements for the TRAIN website. Courses launched from TRAIN may have additional requirements. Please review the course description for each course for any additional system requirements.

Minimum System Requirements:
  • Web Browser Minimum Requirements:
    • Internet Explorer 9
    • Chrome Version 12
  • Javascript enabled
  • Cookies enabled

Recommended System Specifications/Software:

  • Internet Explorer 9
  • Chrome Auto Update Enabled (Latest Version)
  • Microsoft Office or compatible applications (Office 2000 or later recommended).
  • Adobe Reader

Users running other browsers could potentially experience problems when using TRAIN or accessing courses posted to TRAIN. Run the Environment Checker for additional troubleshooting (See: Test Your Environment on the left-hand menu).

Please note that some courses posted to TRAIN may require the following software:

  • Adobe Flash
  • Java
  • ActiveX